<template>
  <div class="page-cart__wrap">
    <div class="col-left">
      <ul class="list-cart">
        <li v-for="(product, index) in cart" :key="index">
          <div class="ava">
            <nuxt-link :to="'/' + product.shared_url">
              <img
                v-if="product.thumbnail != null"
                :src="resizeImage(baseImageUrl + product.thumbnail, 150, 150)"
              />
              <img v-else src="/images/placeholder/placeholder-small.svg" />
            </nuxt-link>
          </div>
          <div class="content">
            <h3 class="title">
              <nuxt-link :to="'/' + product.shared_url">
                {{ product.name }}
              </nuxt-link>
            </h3>
            <p>SKU: {{ product.sku }}</p>
            <div class="price price_mobile">
              <strong class="new">
                {{ (product.sale_price || product.price) | formatNumber }}
              </strong>
            </div>
            <div class="option">
              <a href="javascript:;" @click.prevent="removeFromCart(index)">
                Xóa
              </a>
              <!-- <a href="javascript:;">Để dành mua sau</a> -->
            </div>
          </div>
          <div class="number-price">
            <!-- <div class="number">
              <DropDown
                :selected="[{ value: 1, name: '1' }]"
                :options="options"
                :placeholder="'1'"
              />
            </div> -->
            <div class="option option_mobile">
              <a href="javascript:;" @click.prevent="removeFromCart(index)">
                Xóa
              </a>
              <!-- <a href="javascript:;">Để dành mua sau</a> -->
            </div>
            <div class="price">
              <strong class="new">
                {{ (product.sale_price || product.price) | formatNumber }}
              </strong>
            </div>
          </div>
        </li>
      </ul>
    </div>
    <div class="col-right">
      <div class="checkout_sidebar">
        <div class="head flex space-between">
          <div>
            <strong>Tạm tính:</strong>
          </div>
          <div class="txt_16">{{ totalCartMoney | formatNumber }}</div>
        </div>
        <ul class="checkout_tt">
          <li class="mb24">
            <div>
              <strong>Thành tiền</strong>
            </div>
            <div class="txt_18 red">
              <strong>{{ totalCartMoney | formatNumber }}</strong>
            </div>
          </li>
          <a
            class="btn-default full color-white mb16"
            href="javascript:;"
            @click="goToDatHang"
          >
            Tiến hành đặt hàng
          </a>
          <nuxt-link to="/tra-gop" class="btn-default full white mb16">
            Tính trả góp
          </nuxt-link>
        </ul>
      </div>
    </div>
  </div>
</template>
<script>
import Helper from '../../../assets/config'
import { EventBus } from '~/plugins/bus'
export default {
  name: 'CartOrder2',
  components: {
    // DropDown: () => import('~/components/DropDown'),
  },
  data() {
    return {
      options: [
        {
          value: 1,
          name: '1',
        },
        {
          value: 2,
          name: '2',
        },
        {
          value: 3,
          name: '3',
        },
        {
          value: 4,
          name: '4',
        },
        {
          value: 5,
          name: '5',
        },
      ],
    }
  },
  computed: {
    cart() {
      return this.$store.state.cart
    },
    totalCartMoney() {
      return this.$store.getters.totalMoney
    },
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
    removeFromCart(index) {
      this.$store.commit('remove', index)
    },
    goToDatHang() {
      if (!this.$auth.loggedIn) {
        EventBus.$emit('open-modal-login', true)
      } else {
        this.$router.push('/dat-hang')
      }
    },
  },
}
</script>
